/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.AttrToVisVarBean;

import ca.uvic.csr.shrimp.DisplayBean.DisplayConstants;

/**
 * Visual Variable for node label styles. 
 * 
 * @author Chris Bennett
 * @date October 2006
 */
public class LabelStyleVisualVariable extends NominalVisualVariable {
	
		public static final String DEFAULT_LABEL_STYLE = DisplayConstants.LABEL_STYLE_FULL;

		/**
		 * Basic constructor
		 * @param attrToVisVarBean
		 * @param name
		 */
		public LabelStyleVisualVariable(AttrToVisVarBean attrToVisVarBean, String name) {
			super(attrToVisVarBean, name);
		}

		protected Object getNextDefaultNomVisVarValue(Object attributeValue) {
			return DEFAULT_LABEL_STYLE;
		}

		public String getStringFromVisVarValue(Object visVarValue) {
			return (String)visVarValue; // value is already a string
		}

		public Object getVisVarValueFromString(String s) {
			return s; // value is already a string
		}

	}
